%define Product Archetypes
%define product archetypes
%define name    zope-%{Product}
%define version 1.5.4
%define release %mkrel 4

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Developers framework for deploying content types with Zope and Plone
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/1.5/%{version}/%{Product}-%{version}.tar.bz2
Requires:   zope >= %{zope_minver}
Requires:   zope-CMF
Requires:   python2.4-imaging
Requires:   lynx
Requires:   pdftohtml
Requires:   rtf-converter
Provides:   zope-validation = %{version}-%{release}
Provides:   zope-PortalTransforms = %{version}-%{release}
Provides:   zope-MimetypesRegistry = %{version}-%{release}
Provides:   zope-Marshall = %{version}-%{release}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
A developers framework for rapidly developing and deploying rich, full 
featured content types within the context of Zope/CMF and Plone

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*



%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.5.4-4mdv2010.0
+ Revision: 435408
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.4-3mdv2009.0
+ Revision: 243013
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Release 1.5.4.

* Thu Sep 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-3mdv2008.0
+ Revision: 91599
- fix dependencies
- provides also zope-Marshall

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-1mdv2008.0
+ Revision: 88502
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.2.final-1mdv2007.0
+ Revision: 99691
- 1.4.2

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.0.final-1mdv2007.0
+ Revision: 54428
- update to 1.4.0-final
- Import zope-Archetypes

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix  rpmlint warnings

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.7.final-1mdk
- 1.3.7-final

* Sun Oct 23 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.5.final-1mdk
- New release 1.3.5-final
- fix URL and source URL

* Mon Aug 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-4mdk
- fix path on x86_64

* Wed Jun 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-3mdk
- requires rtf-converter, lynx and pdftohtml

* Tue Apr 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-2mdk
- fix missing version in provides (not detected by rpmlint ?!)

* Tue Apr 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-1mdk
- use bundle source (and drop validation, generator, ... packages)
- use full version name

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3-1mdk
- New release 1.3.3
- use mkrel
- Requires BTreeFolder2

* Fri Jan 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-2mdk
- requires zope-CMF and python-imaging

* Sun Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- initial contrib

